# Retrieve Hooks

`GET /lokta-lms/api/v1/hooks`

Lists the hooks that push platform events to another system.

Returns the list of hooks

## Responses
- `default`: default response

## Response fields
- `config` (array of HookFieldData)
- `createdAt` (string)
- `displayName` (string)
- `events` (array of HookEventData)
- `groupings` (array of HookGroupingData)
- `id` (integer)
- `isActive` (boolean)
- `name` (string)
- `templates` (array of HookTemplateData)
- `updatedAt` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/hooks' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
[
  {
    "config": [],
    "createdAt": "string",
    "displayName": "string",
    "events": []
  }
]
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAllHooks
